Quickstart
Get started with Octivas in under 2 minutes. This guide walks you through making your first API request.
Get started with Octivas in just a few steps. This guide will walk you through making your first API request.
1. Get your API key
Sign up for a free account at octivas.com and navigate to your API Keys page to generate your API key.
2. Install the SDK
npm install octivaspip install octivasNo installation needed — use cURL directly from your terminal.
3. Make your first request
import Octivas from 'octivas';
const client = new Octivas('your_api_key');
const result = await client.extract({
url: 'https://example.com',
formats: ['markdown']
});
console.log(result.markdown);from octivas import Octivas
with Octivas(api_key="your_api_key") as client:
result = client.scrape(
"https://example.com",
formats=["markdown"],
)
print(result.markdown)curl -X POST https://api.octivas.com/api/v1/scrape \
-H "Authorization: Bearer your_api_key" \
-H "Content-Type: application/json" \
-d '{
"url": "https://example.com",
"formats": ["markdown"]
}'